Package org.apache.commons.math3.optim.univariate

# Class UnivariateObjectiveFunction

java.lang.Object
org.apache.commons.math3.optim.univariate.UnivariateObjectiveFunction

All Implemented Interfaces:
  `OptimizationData`

public class UnivariateObjectiveFunction extends Object implements OptimizationData
Scalar function to be optimized.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`UnivariateObjectiveFunction(UnivariateFunction f)`

## Method Summary

Modifier and Type
Method
Description
`UnivariateFunction`
`getObjectiveFunction()`
Gets the function to be optimized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnivariateObjectiveFunction

public UnivariateObjectiveFunction(UnivariateFunction f)

Parameters:
  `f` - Function to be optimized.

## Method Details

### getObjectiveFunction

public UnivariateFunction getObjectiveFunction()
Gets the function to be optimized.

Returns:
  the objective function.